## START: Set by rpmautospec
## (rpmautospec version 0.6.5)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

# Generated by rust2rpm 27
%bcond_without check

%global crate procs
%global crates_source https://crates.io/api/v1/crates/%{crate}/%{version}/download#/%{crate}-%{version}.crate

Name:           rust-procs
Version:        0.14.10
Release:        %autorelease
Summary:        Modern replacement for ps

License:        MIT
URL:            https://crates.io/crates/procs
Source0:        %{crates_source}
Source1:        procs-0.14.10-vendor.tar.xz
Source2:        LICENSE.dependencies
# Automatically generated patch to strip dependencies and normalize metadata
Patch0:         procs-fix-metadata-auto.diff
# Manually created patch for downstream crate metadata changes
# * remove docker feature / dockworker dependency
Patch1:         procs-fix-metadata.diff

BuildRequires:  rust-toolset

%global _description %{expand:
A modern replacement for ps.}

%description %{_description}

%package     -n %{crate}
Summary:        %{summary}
# 0BSD OR MIT OR Apache-2.0
# Apache-2.0
# Apache-2.0 OR MIT
# Apache-2.0 WITH LLVM-exception OR Apache-2.0 OR MIT
# MIT
# MIT OR Apache-2.0
# MIT OR Zlib OR Apache-2.0
# MPL-2.0
# Unlicense OR MIT
License:        MIT AND Apache-2.0 AND MPL-2.0 AND (0BSD OR MIT OR Apache-2.0) AND (Apache-2.0 OR MIT) AND (Apache-2.0 WITH LLVM-exception OR Apache-2.0 OR MIT) AND (MIT OR Zlib OR Apache-2.0) AND (Unlicense OR MIT)
# LICENSE.dependencies contains a full license breakdown

%description -n %{crate} %{_description}

%files       -n %{crate}
%license LICENSE
%license LICENSE.dependencies
%doc CHANGELOG.md
%doc README.md
%{_bindir}/procs
%{bash_completions_dir}/procs.bash
%{fish_completions_dir}/procs.fish
%{zsh_completions_dir}/_procs

%prep
%autosetup -n %{crate}-%{version} -p1
%cargo_prep -V 1
cp -pav %{SOURCE2} .

%build
%cargo_build

%install
%cargo_install

# generate and install shell completions
target/release/procs --gen-completion-out bash > procs.bash
target/release/procs --gen-completion-out fish > procs.fish
target/release/procs --gen-completion-out zsh > _procs

install -Dpm 0644 procs.bash -t %{buildroot}/%{bash_completions_dir}
install -Dpm 0644 procs.fish -t %{buildroot}/%{fish_completions_dir}
install -Dpm 0644 _procs -t %{buildroot}/%{zsh_completions_dir}

%if %{with check}
%check
%cargo_test
%endif

%changelog
## START: Generated by rpmautospec
* Sun May 04 2025 Fabio Valentini <decathorpe@gmail.com> - 0.14.10-1
- Update to version 0.14.10

* Thu Sep 05 2024 Fabio Valentini <decathorpe@gmail.com> - 0.14.4-1
- Initial import for EPEL 8
## END: Generated by rpmautospec
